minetest.register_tool("pxs_default:op_posometer", {
  description = "Posometer -- Use to get printed your pos",
  inventory_image = "default_posometer.png",
  groups = {},
  on_use = function(itemstack, player, pointed_thing)
    local pos = player:get_pos()
    local wear = itemstack:get_wear()
    minetest.chat_send_player(player:get_player_name(), "x: " .. pos.x .. " y: " .. pos.y .. " z: " .. pos.z)
  end,
  stack_max = 1,
})
